#!/bin/sh -efu

a= . install2-init-functions

# if systemd-networkd is installed, enable it by default
[ -x $destdir/lib/systemd/systemd-networkd ] || exit 0

. alterator-net-functions
. shell-config

{

cd $destdir/etc/net/ifaces

for i in $(list_eth); do
	mkdir -p $i
	shell_config_set $i/options NM_CONTROLLED no
	shell_config_set $i/options SYSTEMD_CONTROLLED yes
	shell_config_set $i/options DISABLED yes
done

} >> /tmp/install2.log 2>&1

:
